View Issue Details

IDProjectCategoryView StatusLast Update
0005609DarkRadiantGeneralpublic13.05.2021 19:31
ReporterBrendonChung Assigned Togreebo  
PrioritynormalSeveritynormalReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSWindows 10 
Product Version2.12.0 
Target Version2.13.0Fixed in Version2.13.0 
Summary0005609: Model previewer not displaying ASE or LWO models
DescriptionWhen choosing which model to place, the model preview window does not display the model.

It displays the grey void with a light-grey grid, but the model is not rendered.
Steps To Reproduce1. Right-click the ortho window to open the context menu.
2. Select "Create Model..."
3. Select any ASE or LWO model. The model does not appear in the preview window.
TagsNo tags attached.

Relationships

related to 0005607 resolvedgreebo Crash when selecting an MD5 model in "Create Model..." menu 

Activities

BrendonChung

BrendonChung

10.05.2021 18:06

reporter  

image.png (154,957 bytes)   
image.png (154,957 bytes)   
greebo

greebo

11.05.2021 03:19

administrator   ~0013979

Is this a temporary phenomenon? Or does it happen after restarting DarkRadiant too? On my end the model is rendered normally.

Or maybe you have one of the filters enabled, that happen to hide your model? Can you check out the Filter menu in the lower left of the preview window?
BrendonChung

BrendonChung

11.05.2021 04:46

reporter   ~0013981

It is consistent, and happens after I restart DarkRadiant as well. The filters in the model previewer all have the blue funnel icon next to the items.

Update: I just noticed that when I click the "Switch to Lighting Mode" button, the model appears and renders fine. I can then click on "Switch to Textured Mode" and it renders fine as well. I can close the model preview window, re-open the preview window, and it still renders fine.

However, if I shut down DarkRadiant and restart the program back up, the invisible model preview happens again.
greebo

greebo

13.05.2021 04:22

administrator   ~0014001

Very weird. Is anything interesting written to the console or log file when it fails to render the model?
BrendonChung

BrendonChung

13.05.2021 14:50

reporter   ~0014004

To the best of my knowledge, no. I attached the log of me opening the model previewer and selecting an ASE model to view.
darkradiant.log (34,692 bytes)   
2021-05-12 21:32:33 (28720) Started logging to C:/Users/Brendon/AppData/Roaming/DarkRadiant/darkradiant.log
2021-05-12 21:32:33 (28720) This is DarkRadiant 2.12.0 x64 
2021-05-12 21:32:33 (28720) Today is 2021-05-12 21:32:33
2021-05-12 21:32:33 (28720) ModuleRegistry instantiated.
2021-05-12 21:32:33 (28720) Module registered: RadiantCore
2021-05-12 21:32:33 (28720) Current language setting: en
2021-05-12 21:32:33 (28720) Found 2 language folders.
2021-05-12 21:32:33 (28720) Module registered: CameraWndManager
2021-05-12 21:32:33 (28720) Module registered: Clipboard
2021-05-12 21:32:33 (28720) Module registered: EventManager
2021-05-12 21:32:33 (28720) Module registered: MouseToolManager
2021-05-12 21:32:33 (28720) Module registered: AutomaticMapSaver
2021-05-12 21:32:33 (28720) Module registered: StartupMapLoader
2021-05-12 21:32:33 (28720) Module registered: LocalisationModule
2021-05-12 21:32:33 (28720) Module registered: DialogManager
2021-05-12 21:32:33 (28720) Module registered: UserInterfaceModule
2021-05-12 21:32:33 (28720) Module registered: FavouritesUserInterface
2021-05-12 21:32:33 (28720) Module registered: FilterUserInterface
2021-05-12 21:32:33 (28720) Module registered: wxGLWidgetManager
2021-05-12 21:32:33 (28720) Module registered: GridUserInterface
2021-05-12 21:32:33 (28720) Module registered: GroupDialogModule
2021-05-12 21:32:33 (28720) Module registered: MainFrame
2021-05-12 21:32:33 (28720) Module registered: MainFrameLayoutManager
2021-05-12 21:32:33 (28720) Module registered: MaterialEditor
2021-05-12 21:32:33 (28720) Module registered: MediaBrowser
2021-05-12 21:32:33 (28720) Module registered: MenuManager
2021-05-12 21:32:33 (28720) Module registered: EntityInspector
2021-05-12 21:32:33 (28720) Module registered: OrthoContextMenu
2021-05-12 21:32:33 (28720) Module registered: ScriptUserInterface
2021-05-12 21:32:33 (28720) Module registered: StatusBarManager
2021-05-12 21:32:33 (28720) Module registered: TextureBrowserManager
2021-05-12 21:32:33 (28720) Module registered: ToolBarManager
2021-05-12 21:32:33 (28720) Module registered: OrthoviewManager
2021-05-12 21:32:33 (28720) Module registered: Doom3BrushCreator
2021-05-12 21:32:33 (28720) Module registered: CameraManager
2021-05-12 21:32:33 (28720) Module registered: Clipper
2021-05-12 21:32:33 (28720) Module registered: FavouritesManager
2021-05-12 21:32:33 (28720) Module registered: EclassColourManager
2021-05-12 21:32:33 (28720) Module registered: EntityClassManager
2021-05-12 21:32:33 (28720) Module registered: EntityModule
2021-05-12 21:32:33 (28720) Module registered: FileTypes
2021-05-12 21:32:33 (28720) Module registered: FilterSystem
2021-05-12 21:32:33 (28720) Module registered: FontManager
2021-05-12 21:32:33 (28720) Module registered: Grid
2021-05-12 21:32:33 (28720) Module registered: ImageLoader
2021-05-12 21:32:33 (28720) Module registered: LayerModule
2021-05-12 21:32:33 (28720) Module registered: ZAasFileManager
2021-05-12 21:32:33 (28720) Module registered: Doom3AasFileLoader
2021-05-12 21:32:33 (28720) Module registered: Counters
2021-05-12 21:32:33 (28720) Module registered: EditingStopwatch
2021-05-12 21:32:33 (28720) Module registered: Map
2021-05-12 21:32:33 (28720) Module registered: MapResourceManager
2021-05-12 21:32:33 (28720) Module registered: PointFile
2021-05-12 21:32:33 (28720) Module registered: RegionManager
2021-05-12 21:32:33 (28720) Module registered: Doom3MapLoader
2021-05-12 21:32:33 (28720) Module registered: Doom3PrefabLoader
2021-05-12 21:32:33 (28720) Module registered: MapFormatManager
2021-05-12 21:32:33 (28720) Module registered: Quake3MapLoader
2021-05-12 21:32:33 (28720) Module registered: Quake4MapLoader
2021-05-12 21:32:33 (28720) Module registered: class map::format::PortableMapFormat
2021-05-12 21:32:33 (28720) Module registered: MapInfoFileManager
2021-05-12 21:32:33 (28720) Module registered: MRUManager
2021-05-12 21:32:33 (28720) Module registered: NamespaceFactory
2021-05-12 21:32:33 (28720) Module registered: MD5Module
2021-05-12 21:32:33 (28720) Module registered: MD5AnimationCache
2021-05-12 21:32:33 (28720) Module registered: ModelCache
2021-05-12 21:32:33 (28720) Module registered: ModelFormatManager
2021-05-12 21:32:33 (28720) Module registered: PicoModelModule
2021-05-12 21:32:33 (28720) Module registered: ParticlesManager
2021-05-12 21:32:33 (28720) Module registered: PatchModule
2021-05-12 21:32:33 (28720) Module registered: CommandSystem
2021-05-12 21:32:33 (28720) Module registered: OpenGL
2021-05-12 21:32:33 (28720) Module registered: ShaderCache
2021-05-12 21:32:33 (28720) Module registered: RenderSystemFactory
2021-05-12 21:32:33 (28720) Module registered: SharedGLContextHolder
2021-05-12 21:32:33 (28720) Module registered: SceneGraph
2021-05-12 21:32:33 (28720) Module registered: SceneGraphFactory
2021-05-12 21:32:33 (28720) Module registered: SelectionGroupModule
2021-05-12 21:32:33 (28720) Module registered: SelectionSystem
2021-05-12 21:32:33 (28720) Module registered: SelectionSetModule
2021-05-12 21:32:33 (28720) Module registered: ShaderClipboard
2021-05-12 21:32:33 (28720) Module registered: ColourSchemeManager
2021-05-12 21:32:33 (28720) Module registered: GameManager
2021-05-12 21:32:33 (28720) Module registered: PreferenceSystem
2021-05-12 21:32:33 (28720) Module registered: MaterialManager
2021-05-12 21:32:33 (28720) Module registered: ModelSkinCache
2021-05-12 21:32:33 (28720) Module registered: UndoSystem
2021-05-12 21:32:33 (28720) Module registered: VirtualFileSystem
2021-05-12 21:32:33 (28720) Module registered: XMLRegistry
2021-05-12 21:32:33 (28720) ModuleRegistry Compatibility Level is 20201026
2021-05-12 21:32:33 (28720) ModuleLoader: loading modules from D:/games/monstergame/tools/darkradiant/modules/
2021-05-12 21:32:33 (28720) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/modules/DarkRadiantCore.dll'
2021-05-12 21:32:33 (28720) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/modules/script.dll'
2021-05-12 21:32:33 (28720) Module registered: ScriptingSystem
2021-05-12 21:32:33 (28720) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/modules/sound.dll'
2021-05-12 21:32:33 (28720) Module registered: SoundManager
2021-05-12 21:32:33 (28720) ModuleLoader: loading modules from D:/games/monstergame/tools/darkradiant/plugins/
2021-05-12 21:32:33 (28720) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.conversation.dll'
2021-05-12 21:32:33 (28720) Module registered: ConversationEditor
2021-05-12 21:32:33 (28720) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.difficulty.dll'
2021-05-12 21:32:33 (28720) Module registered: DifficultyEditor
2021-05-12 21:32:33 (28720) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.editing.dll'
2021-05-12 21:32:33 (28720) Module registered: DarkMod Editing
2021-05-12 21:32:33 (28720) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.gameconnection.dll'
2021-05-12 21:32:33 (28720) Module registered: GameConnection
2021-05-12 21:32:33 (28720) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.gui.dll'
2021-05-12 21:32:33 (28720) Module registered: GUI Editing
2021-05-12 21:32:33 (28720) Module registered: GuiManager
2021-05-12 21:32:33 (28720) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.objectives.dll'
2021-05-12 21:32:33 (28720) Module registered: ObjectivesEditor
2021-05-12 21:32:33 (28720) ModuleLoader: Loading module 'D:/games/monstergame/tools/darkradiant/plugins/dm.stimresponse.dll'
2021-05-12 21:32:33 (28720) Module registered: StimResponseEditor
2021-05-12 21:32:33 (28720) FileTypes::initialiseModule called.
2021-05-12 21:32:33 (28720) XMLRegistry::initialiseModule called
2021-05-12 21:32:33 (28720) XMLRegistry: looking for XML files in D:/games/monstergame/tools/darkradiant/
2021-05-12 21:32:33 (28720) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/user.xml
2021-05-12 21:32:33 (28720) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/colours.xml
2021-05-12 21:32:33 (28720) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/input.xml
2021-05-12 21:32:33 (28720) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/menu.xml
2021-05-12 21:32:33 (28720) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/commandsystem.xml
2021-05-12 21:32:33 (28720) XMLRegistry: Importing XML file: C:/Users/Brendon/AppData/Roaming/DarkRadiant/user.xml
2021-05-12 21:32:33 (28720) XMLRegistry: Importing XML file: C:/Users/Brendon/AppData/Roaming/DarkRadiant/colours.xml
2021-05-12 21:32:33 (28720) XMLRegistry: Importing XML file: C:/Users/Brendon/AppData/Roaming/DarkRadiant/input.xml
2021-05-12 21:32:33 (28720) XMLRegistry: Importing XML file: C:/Users/Brendon/AppData/Roaming/DarkRadiant/filters.xml
2021-05-12 21:32:33 (28720) CommandSystem::initialiseModule called.
2021-05-12 21:32:33 (28720) PreferenceSystem::initialiseModule called
2021-05-12 21:32:33 (28720) VirtualFileSystem::initialiseModule called
2021-05-12 21:32:33 (28720) GameManager: Scanning for game description files: D:/games/monstergame/tools/darkradiant/games/
2021-05-12 21:32:33 (28720) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/darkmod.game
2021-05-12 21:32:33 (28720) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/doom3-demo.game
2021-05-12 21:32:33 (28720) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/doom3.game
2021-05-12 21:32:33 (28720) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/prey.game
2021-05-12 21:32:33 (28720) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/quake3.game
2021-05-12 21:32:33 (28720) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/quake4.game
2021-05-12 21:32:33 (28720) XMLRegistry: Importing XML file: D:/games/monstergame/tools/darkradiant/games/xreal.game
2021-05-12 21:32:33 (28720) GameManager: Found game definitions: 
2021-05-12 21:32:33 (28720)   Doom 3
2021-05-12 21:32:33 (28720)   Doom 3 Demo
2021-05-12 21:32:33 (28720)   Prey
2021-05-12 21:32:33 (28720)   Quake 3
2021-05-12 21:32:33 (28720)   Quake 4
2021-05-12 21:32:33 (28720)   The Dark Mod 2.0 (Standalone)
2021-05-12 21:32:33 (28720)   XreaL
2021-05-12 21:32:33 (28720) 
2021-05-12 21:32:33 (28720) GameManager: Selected game type: Doom 3
2021-05-12 21:32:33 (28720) GameManager: Map path set to D:/games/monstergame/base/maps/
2021-05-12 21:32:33 (28720) GameManager: Prefab path set to D:/games/monstergame/base/prefabs/
2021-05-12 21:32:33 (28720) Initialising filesystem using 1 paths 
2021-05-12 21:32:33 (28720) VFS Search Path priority is: 
2021-05-12 21:32:33 (28720) - D:/games/monstergame/base/
2021-05-12 21:32:33 (28720) Allowed PK4 Archive File Extensions: pk4
2021-05-12 21:32:33 (28720) [vfs] Searched directory: D:/games/monstergame/base/
2021-05-12 21:32:33 (28720) MapInfoFileManager::initialiseModule called.
2021-05-12 21:32:33 (28720) MapFormatManager::initialiseModule called.
2021-05-12 21:32:33 (28720) Doom3MapLoader: initialiseModule called.
2021-05-12 21:32:33 (28720) MapResourceManager::initialiseModule called.
2021-05-12 21:32:33 (28720) SceneGraph::initialiseModule called
2021-05-12 21:32:33 (28720) Map::initialiseModule called.
2021-05-12 21:32:33 (28720) AutomaticMapSaver::initialiseModule called.
2021-05-12 21:32:33 (28720) CameraManager::initialiseModule called.
2021-05-12 21:32:33 (28720) EventManager::initialiseModule called.
2021-05-12 21:32:33 (28720) EventManager successfully initialised.
2021-05-12 21:32:33 (28720) GroupDialogModule::initialiseModule called
2021-05-12 21:32:33 (28720) MainFrameLayoutManager::initialiseModule called.
2021-05-12 21:32:33 (28720) MaterialManager::initialiseModule called
2021-05-12 21:32:33 (28720) SharedGLContextHolder::initialiseModule called.
2021-05-12 21:32:33 (28720) ShaderCache::initialiseModule called.
2021-05-12 21:32:33 (28720) StatusBarManager::initialiseModule called.
2021-05-12 21:32:33 (28720) OrthoviewManager::initialiseModule called.
2021-05-12 21:32:33 (29584) 1236 shader definitions found.
2021-05-12 21:32:33 (28720) MainFrame::initialiseModule called.
2021-05-12 21:32:33 (28720) CameraWndManager::initialiseModule called.
2021-05-12 21:32:33 (28720) Clipboard::initialiseModule called.
2021-05-12 21:32:33 (28720) Clipper::initialiseModule called
2021-05-12 21:32:33 (28720) EclassColourManager::initialiseModule called.
2021-05-12 21:32:33 (28720) ColourSchemeManager::initialiseModule called.
2021-05-12 21:32:33 (28720) ColourSchemeManager: Loading colour schemes...
2021-05-12 21:32:33 (28720) MenuManager::initialiseModule called.
2021-05-12 21:32:33 (28720) ConversationEditor::initialiseModule called.
2021-05-12 21:32:33 (28720) GridManager::initialiseModule called.
2021-05-12 21:32:33 (28720) OpenGL::initialiseModule called.
2021-05-12 21:32:33 (28720) SelectionSystem::initialiseModule called.
2021-05-12 21:32:33 (28720) UndoSystem::initialiseModule called
2021-05-12 21:32:33 (28720) DarkMod Editing::initialiseModule called.
2021-05-12 21:32:33 (28720) DialogManager::initialiseModule called.
2021-05-12 21:32:33 (28720) DifficultyEditor::initialiseModule called.
2021-05-12 21:32:33 (28720) EntityClassDoom3::initialiseModule called.
2021-05-12 21:32:33 (29584) searching vfs directory 'def' for *.def
2021-05-12 21:32:33 (28720) ZAasFileManager::initialiseModule called.
2021-05-12 21:32:33 (28720) Doom3AasFileLoader: initialiseModule called.
2021-05-12 21:32:33 (28720) BrushModuleImpl::initialiseModule called.
2021-05-12 21:32:33 (28720) Doom3PrefabLoader: initialiseModule called.
2021-05-12 21:32:33 (28720) EditingStopwatch::initialiseModule called.
2021-05-12 21:32:33 (28720) EntityModule::initialiseModule called.
2021-05-12 21:32:33 (28720) FavouritesUserInterface::initialiseModule called.
2021-05-12 21:32:33 (28720) [filters] Loaded 16 filters from registry.
2021-05-12 21:32:33 (28720) FilterUserInterface::initialiseModule called.
2021-05-12 21:32:33 (28720) FontManager::initialiseModule called
2021-05-12 21:32:33 (29584) FontLoader: fonts/english/inocua/fontImage_12.dat loaded successfully.
2021-05-12 21:32:33 (29584) FontLoader: fonts/english/inocua/fontImage_24.dat loaded successfully.
2021-05-12 21:32:33 (28720) GUI Editing::initialiseModule called.
2021-05-12 21:32:33 (29584) FontLoader: fonts/english/inocua/fontImage_48.dat loaded successfully.
2021-05-12 21:32:33 (29584) FontLoader: fonts/english/petme/fontImage_12.dat loaded successfully.
2021-05-12 21:32:33 (29584) FontLoader: fonts/english/petme/fontImage_24.dat loaded successfully.
2021-05-12 21:32:33 (29584) FontLoader: fonts/english/petme/fontImage_48.dat loaded successfully.
2021-05-12 21:32:33 (29584) FontLoader: fonts/english/roboto/fontImage_12.dat loaded successfully.
2021-05-12 21:32:33 (29584) FontLoader: fonts/english/roboto/fontImage_24.dat loaded successfully.
2021-05-12 21:32:33 (29584) FontLoader: fonts/english/roboto/fontImage_48.dat loaded successfully.
2021-05-12 21:32:33 (29584) FontLoader: fonts/english/teko/fontImage_12.dat loaded successfully.
2021-05-12 21:32:33 (29584) FontLoader: fonts/english/teko/fontImage_24.dat loaded successfully.
2021-05-12 21:32:33 (29584) FontLoader: fonts/english/teko/fontImage_48.dat loaded successfully.
2021-05-12 21:32:33 (29584) FontLoader: fonts/english/zector/fontImage_12.dat loaded successfully.
2021-05-12 21:32:33 (28720) GridUserInterface::initialiseModule called.
2021-05-12 21:32:33 (29584) FontLoader: fonts/english/zector/fontImage_24.dat loaded successfully.
2021-05-12 21:32:33 (29584) FontLoader: fonts/english/zector/fontImage_48.dat loaded successfully.
2021-05-12 21:32:33 (29584) 5 fonts registered.
2021-05-12 21:32:33 (28720) GuiManager::initialiseModule called.
2021-05-12 21:32:33 (29584) [GuiManager]: Found 0 guis.
2021-05-12 21:32:33 (28720) LayerModule::initialiseModule called.
2021-05-12 21:32:33 (28720) LocalisationModule::initialiseModule called
2021-05-12 21:32:33 (28720) MD5AnimationCache::initialiseModule called.
2021-05-12 21:32:33 (28720) ModelFormatManager::initialiseModule called.
2021-05-12 21:32:33 (28720) MRUManager::initialiseModule called.
2021-05-12 21:32:33 (28720) MaterialEditor::initialiseModule called.
2021-05-12 21:32:33 (28720) ShaderClipboard::initialiseModule called.
2021-05-12 21:32:33 (28720) MediaBrowser::initialiseModule called.
2021-05-12 21:32:33 (28720) ModelCache::initialiseModule called.
2021-05-12 21:32:33 (28720) Doom3SkinCache::initialiseModule called
2021-05-12 21:32:33 (20296) [skins] Loading skins.
2021-05-12 21:32:33 (28720) NamespaceFactory::initialiseModule called.
2021-05-12 21:32:33 (20296) [skins] Found 189 skins.
2021-05-12 21:32:33 (28720) ObjectivesEditorModule::initialiseModule called.
2021-05-12 21:32:33 (28720) ParticlesManager::initialiseModule called
2021-05-12 21:32:33 (28720) PatchModule::initialiseModule called.
2021-05-12 21:32:33 (28720) PointFile::initialiseModule called
2021-05-12 21:32:33 (28720) Quake3MapLoader: initialiseModule called.
2021-05-12 21:32:33 (20296) Found 164 particle definitions.
2021-05-12 21:32:33 (28720) Quake4MapLoader: initialiseModule called.
2021-05-12 21:32:33 (28720) RegionManager::initialiseModule called.
2021-05-12 21:32:33 (28720) RenderSystemFactory::initialiseModule called.
2021-05-12 21:32:33 (28720) SceneGraphFactory::initialiseModule called.
2021-05-12 21:32:33 (28720) ScriptingSystem::initialiseModule called.
2021-05-12 21:32:33 (28720) Registering darkradiant module to Python using pybind11 version 2.6.1
2021-05-12 21:32:33 (28720) SelectionGroupModule::initialiseModule called.
2021-05-12 21:32:33 (28720) SelectionSetModule::initialiseModule called.
2021-05-12 21:32:33 (28720) SoundManager: initialising sound playback
2021-05-12 21:32:33 (28720) StartupMapLoader::initialiseModule called.
2021-05-12 21:32:33 (28720) StimResponseEditor::initialiseModule called.
2021-05-12 21:32:33 (28720) TextureBrowserManager::initialiseModule called.
2021-05-12 21:32:33 (20296) 306 sound shaders found.
2021-05-12 21:32:33 (28720) Found toolbar: view
2021-05-12 21:32:33 (28720) Found toolbar: edit
2021-05-12 21:32:33 (28720) Found toolbar: texture
2021-05-12 21:32:33 (28720) Found toolbar: textool
2021-05-12 21:32:33 (28720) UserInterfaceModule::initialiseModule called.
2021-05-12 21:32:33 (28720) wxWidgets Version: 3.1.3
2021-05-12 21:32:33 (28720) Default screen has 1 monitors.
2021-05-12 21:32:33 (28720) Monitor 0 geometry: 1920x1080 at 0, 0
2021-05-12 21:32:33 (28720) class map::format::PortableMapFormat: initialiseModule called.
2021-05-12 21:32:33 (28720) wxGLWidgetManager::initialiseModule called.
2021-05-12 21:32:33 (28720) ToolbarManager: Instantiating toolbar: view
2021-05-12 21:32:33 (28720) ToolbarManager: Instantiating toolbar: edit
2021-05-12 21:32:33 (28720) MainFrame: Activating layout Regular
2021-05-12 21:32:33 (28720) ToolbarManager: Instantiating toolbar: texture
2021-05-12 21:32:33 (28720) EventManager: Shortcuts found in Registry: 152
2021-05-12 21:32:33 (28720) DarkRadiant init.py called, this is Python 3.6.1 (v3.6.1:69c0db5, Mar 21 2017, 18:41:36) [MSC v.1900 64 bit (AMD64)]
2021-05-12 21:32:33 (28720) Registered script file commands/ase_export.py as aseExport
2021-05-12 21:32:33 (28720) Registered script file commands/ase_export_blend.py as aseExportBlend
2021-05-12 21:32:33 (28720) Registered script file commands/change_all_textures.py as ChangeAllTextures
2021-05-12 21:32:33 (28720) Registered script file commands/check_for_invalid_visportals.py as check_invalid_visportals
2021-05-12 21:32:33 (28720) Registered script file commands/correct_light_cms.py as correctLightCms
2021-05-12 21:32:33 (28720) Registered script file commands/example.py as Example
2021-05-12 21:32:33 (28720) Registered script file commands/export_obj.py as objExport
2021-05-12 21:32:33 (28720) Registered script file commands/find_duplicate_entities.py as findDuplicateEntities
2021-05-12 21:32:33 (28720) Registered script file commands/patchsplitter.py as SplitPatch
2021-05-12 21:32:33 (28720) Registered script file commands/patch_noise.py as PatchNoise
2021-05-12 21:32:33 (28720) Registered script file commands/randomise_texture_x_individual.py as RandomiseTextureXIndividual
2021-05-12 21:32:33 (28720) Registered script file commands/select_all_entities.py as SelectAllEntities
2021-05-12 21:32:33 (28720) Registered script file commands/select_all_entities_of_type.py as SelectAllEntitiesOfType
2021-05-12 21:32:33 (28720) Registered script file commands/select_all_funcstatic.py as SelectAllFuncstatics
2021-05-12 21:32:33 (28720) Registered script file commands/select_all_models_of_type.py as SelectAllModelsOfType
2021-05-12 21:32:33 (28720) Registered script file commands/shift_textures_randomly.py as ShiftTexturesRandomly
2021-05-12 21:32:33 (28720) Registered script file commands/shift_textures_upwards_randomly.py as ShiftTexturesUpwardsRandomly
2021-05-12 21:32:33 (28720) Registered script file commands/test_targets.py as test_targets
2021-05-12 21:32:33 (28720) ScriptModule: Found 18 commands.
2021-05-12 21:32:33 (28720) GL_VENDOR: NVIDIA Corporation
2021-05-12 21:32:33 (28720) GL_RENDERER: NVIDIA GeForce GTX 1660 SUPER/PCIe/SSE2
2021-05-12 21:32:33 (28720) GL_VERSION: 4.6.0 NVIDIA 466.11
2021-05-12 21:32:33 (28720) GL_EXTENSIONS: GL_AMD_multi_draw_indirect GL_AMD_seamless_cubemap_per_texture GL_AMD_vertex_shader_viewport_index GL_AMD_vertex_shader_layer GL_ARB_arrays_of_arrays GL_ARB_base_instance GL_ARB_bindless_texture GL_ARB_blend_func_extended GL_ARB_buffer_storage GL_ARB_clear_buffer_object GL_ARB_clear_texture GL_ARB_clip_control GL_ARB_color_buffer_float GL_ARB_compatibility GL_ARB_compressed_texture_pixel_storage GL_ARB_conservative_depth GL_ARB_compute_shader GL_ARB_compute_variable_group_size GL_ARB_conditional_render_inverted GL_ARB_copy_buffer GL_ARB_copy_image GL_ARB_cull_distance GL_ARB_debug_output GL_ARB_depth_buffer_float GL_ARB_depth_clamp GL_ARB_depth_texture GL_ARB_derivative_control GL_ARB_direct_state_access GL_ARB_draw_buffers GL_ARB_draw_buffers_blend GL_ARB_draw_indirect GL_ARB_draw_elements_base_vertex GL_ARB_draw_instanced GL_ARB_enhanced_layouts GL_ARB_ES2_compatibility GL_ARB_ES3_compatibility GL_ARB_ES3_1_compatibility GL_ARB_ES3_2_compatibility GL_ARB_explicit_attrib_location GL_ARB_explicit_uniform_location GL_ARB_fragment_coord_conventions GL_ARB_fragment_layer_viewport GL_ARB_fragment_program GL_ARB_fragment_program_shadow GL_ARB_fragment_shader GL_ARB_fragment_shader_interlock GL_ARB_framebuffer_no_attachments GL_ARB_framebuffer_object GL_ARB_framebuffer_sRGB GL_ARB_geometry_shader4 GL_ARB_get_program_binary GL_ARB_get_texture_sub_image GL_ARB_gl_spirv GL_ARB_gpu_shader5 GL_ARB_gpu_shader_fp64 GL_ARB_gpu_shader_int64 GL_ARB_half_float_pixel GL_ARB_half_float_vertex GL_ARB_imaging GL_ARB_indirect_parameters GL_ARB_instanced_arrays GL_ARB_internalformat_query GL_ARB_internalformat_query2 GL_ARB_invalidate_subdata GL_ARB_map_buffer_alignment GL_ARB_map_buffer_range GL_ARB_multi_bind GL_ARB_multi_draw_indirect GL_ARB_multisample GL_ARB_multitexture GL_ARB_occlusion_query GL_ARB_occlusion_query2 GL_ARB_parallel_shader_compile GL_ARB_pipeline_statistics_query GL_ARB_pixel_buffer_object GL_ARB_point_parameters GL_ARB_point_sprite GL_ARB_polygon_offset_clamp GL_ARB_post_depth_coverage GL_ARB_program_interface_query GL_ARB_provoking_vertex GL_ARB_query_buffer_object GL_ARB_robust_buffer_access_behavior GL_ARB_robustness GL_ARB_sample_locations GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_ARB_seamless_cubemap_per_texture GL_ARB_separate_shader_objects GL_ARB_shader_atomic_counter_ops GL_ARB_shader_atomic_counters GL_ARB_shader_ballot GL_ARB_shader_bit_encoding GL_ARB_shader_clock GL_ARB_shader_draw_parameters GL_ARB_shader_group_vote GL_ARB_shader_image_load_store GL_ARB_shader_image_size GL_ARB_shader_objects GL_ARB_shader_precision GL_ARB_shader_storage_buffer_object GL_ARB_shader_subroutine GL_ARB_shader_texture_image_samples GL_ARB_shader_texture_lod GL_ARB_shading_language_100 GL_ARB_shader_viewport_layer_array GL_ARB_shading_language_420pack GL_ARB_shading_language_include GL_ARB_shading_language_packing GL_ARB_shadow GL_ARB_sparse_buffer GL_ARB_sparse_texture GL_ARB_sparse_texture2 GL_ARB_sparse_texture_clamp GL_ARB_spirv_extensions GL_ARB_stencil_texturing GL_ARB_sync GL_ARB_tessellation_shader GL_ARB_texture_barrier GL_ARB_texture_border_clamp GL_ARB_texture_buffer_object GL_ARB_texture_buffer_object_rgb32 GL_ARB_texture_buffer_range GL_ARB_texture_compression GL_ARB_texture_compression_bptc GL_ARB_texture_compression_rgtc GL_ARB_texture_cube_map GL_ARB_texture_cube_map_array GL_ARB_texture_env_add GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_filter_anisotropic GL_ARB_texture_filter_minmax GL_ARB_texture_float GL_ARB_texture_gather GL_ARB_texture_mirror_clamp_to_edge GL_ARB_texture_mirrored_repeat GL_ARB_texture_multisample GL_ARB_texture_non_power_of_two GL_ARB_texture_query_levels GL_ARB_texture_query_lod GL_ARB_texture_rectangle GL_ARB_texture_rg GL_ARB_texture_rgb10_a2ui GL_ARB_texture_stencil8 GL_ARB_texture_storage GL_ARB_texture_storage_multisample GL_ARB_texture_swizzle GL_ARB_texture_view GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_ARB_transform_feedback_instanced GL_ARB_transform_feedback_overflow_query GL_ARB_transpose_matrix GL_ARB_uniform_buffer_object GL_ARB_vertex_array_bgra GL_ARB_vertex_array_object GL_ARB_vertex_attrib_64bit GL_ARB_vertex_attrib_binding GL_ARB_vertex_buffer_object GL_ARB_vertex_program GL_ARB_vertex_shader GL_ARB_vertex_type_10f_11f_11f_rev GL_ARB_vertex_type_2_10_10_10_rev GL_ARB_viewport_array GL_ARB_window_pos GL_ATI_draw_buffers GL_ATI_texture_float GL_ATI_texture_mirror_once GL_S3_s3tc GL_EXT_texture_env_add GL_EXT_abgr GL_EXT_bgra GL_EXT_bindable_uniform GL_EXT_blend_color GL_EXT_blend_equation_separate GL_EXT_blend_func_separate GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_compiled_vertex_array GL_EXT_Cg_shader GL_EXT_depth_bounds_test GL_EXT_direct_state_access GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_draw_range_elements GL_EXT_fog_coord GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXTX_framebuffer_mixed_formats GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_framebuffer_object GL_EXT_framebuffer_sRGB GL_EXT_geometry_shader4 GL_EXT_gpu_program_parameters GL_EXT_gpu_shader4 GL_EXT_multi_draw_arrays GL_EXT_multiview_texture_multisample GL_EXT_multiview_timer_query GL_EXT_packed_depth_stencil GL_EXT_packed_float GL_EXT_packed_pixels GL_EXT_pixel_buffer_object GL_EXT_point_parameters GL_EXT_polygon_offset_clamp GL_EXT_post_depth_coverage GL_EXT_provoking_vertex GL_EXT_raster_multisample GL_EXT_rescale_normal GL_EXT_secondary_color GL_EXT_separate_shader_objects GL_EXT_separate_specular_color GL_EXT_shader_image_load_formatted GL_EXT_shader_image_load_store GL_EXT_shader_integer_mix GL_EXT_shadow_funcs GL_EXT_sparse_texture2 GL_EXT_stencil_two_side GL_EXT_stencil_wrap GL_EXT_texture3D GL_EXT_texture_array GL_EXT_texture_buffer_object GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_latc GL_EXT_texture_compression_rgtc GL_EXT_texture_compression_s3tc GL_EXT_texture_cube_map GL_EXT_texture_edge_clamp GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 GL_EXT_texture_filter_anisotropic GL_EXT_texture_filter_minmax GL_EXT_texture_integer GL_EXT_texture_lod GL_EXT_texture_lod_bias GL_EXT_texture_mirror_clamp GL_EXT_texture_object GL_EXT_texture_shadow_lod GL_EXT_texture_shared_exponent GL_EXT_texture_sRGB GL_EXT_texture_sRGB_R8 GL_EXT_texture_sRGB_decode GL_EXT_texture_storage GL_EXT_texture_swizzle GL_EXT_timer_query GL_EXT_transform_feedback2 GL_EXT_vertex_array GL_EXT_vertex_array_bgra GL_EXT_vertex_attrib_64bit GL_EXT_window_rectangles GL_EXT_import_sync_object GL_IBM_rasterpos_clip GL_IBM_texture_mirrored_repeat GL_KHR_context_flush_control GL_KHR_debug GL_EXT_memory_object GL_EXT_memory_object_win32 GL_NV_memory_object_sparse GL_EXT_win32_keyed_mutex GL_KHR_parallel_shader_compile GL_KHR_no_error GL_KHR_robust_buffer_access_behavior GL_KHR_robustness GL_EXT_semaphore GL_EXT_semaphore_win32 GL_NV_timeline_semaphore GL_KHR_shader_subgroup GL_KTX_buffer_region GL_NV_alpha_to_coverage_dither_control GL_NV_bindless_multi_draw_indirect GL_NV_bindless_multi_draw_indirect_count GL_NV_bindless_texture GL_NV_blend_equation_advanced GL_NV_blend_equation_advanced_coherent GL_NVX_blend_equation_advanced_multi_draw_buffers GL_NV_blend_minmax_factor GL_NV_blend_square GL_NV_clip_space_w_scaling GL_NV_command_list GL_NV_compute_program5 GL_NV_compute_shader_derivatives GL_NV_conditional_render GL_NV_conservative_raster GL_NV_conservative_raster_dilate GL_NV_conservative_raster_pre_snap GL_NV_conservative_raster_pre_snap_triangles GL_NV_conservative_raster_underestimation GL_NV_copy_depth_to_color GL_NV_copy_image GL_NV_depth_buffer_float GL_NV_depth_clamp GL_NV_draw_texture GL_NV_draw_vulkan_image GL_NV_ES1_1_compatibility GL_NV_ES3_1_compatibility GL_NV_explicit_multisample GL_NV_feature_query GL_NV_fence GL_NV_fill_rectangle GL_NV_float_buffer GL_NV_fog_distance GL_NV_fragment_coverage_to_color GL_NV_fragment_program GL_NV_fragment_program_option GL_NV_fragment_program2 GL_NV_fragment_shader_barycentric GL_NV_fragment_shader_interlock GL_NV_framebuffer_mixed_samples GL_NV_framebuffer_multisample_coverage GL_NV_geometry_shader4 GL_NV_geometry_shader_passthrough GL_NV_gpu_program4 GL_NV_internalformat_sample_query GL_NV_gpu_program4_1 GL_NV_gpu_program5 GL_NV_gpu_program5_mem_extended GL_NV_gpu_program_fp64 GL_NV_gpu_shader5 GL_NV_half_float GL_NV_light_max_exponent GL_NV_memory_attachment GL_NV_mesh_shader GL_NV_multisample_coverage GL_NV_multisample_filter_hint GL_NV_occlusion_query GL_NV_packed_depth_stencil GL_NV_parameter_buffer_object GL_NV_parameter_buffer_object2 GL_NV_path_rendering GL_NV_path_rendering_shared_edge GL_NV_pixel_data_range GL_NV_point_sprite GL_NV_primitive_restart GL_NV_query_resource GL_NV_query_resource_tag GL_NV_register_combiners GL_NV_register_combiners2 GL_NV_representative_fragment_test GL_NV_sample_locations GL_NV_sample_mask_override_coverage GL_NV_scissor_exclusive GL_NV_shader_atomic_counters GL_NV_shader_atomic_float GL_NV_shader_atomic_float64 GL_NV_shader_atomic_fp16_vector GL_NV_shader_atomic_int64 GL_NV_shader_buffer_load GL_NV_shader_storage_buffer_object GL_NV_shader_subgroup_partitioned GL_NV_shader_texture_footprint GL_NV_shading_rate_image GL_NV_stereo_view_rendering GL_NV_texgen_reflection GL_NV_texture_barrier GL_NV_texture_compression_vtc GL_NV_texture_env_combine4 GL_NV_texture_multisample GL_NV_texture_rectangle GL_NV_texture_rectangle_compressed GL_NV_texture_shader GL_NV_texture_shader2 GL_NV_texture_shader3 GL_NV_transform_feedback GL_NV_transform_feedback2 GL_NV_uniform_buffer_unified_memory GL_NV_vertex_array_range GL_NV_vertex_array_range2 GL_NV_vertex_attrib_integer_64bit GL_NV_vertex_buffer_unified_memory GL_NV_vertex_program GL_NV_vertex_program1_1 GL_NV_vertex_program2 GL_NV_vertex_program2_option GL_NV_vertex_program3 GL_NV_viewport_array2 GL_NV_viewport_swizzle GL_NVX_conditional_render GL_NVX_linked_gpu_multicast GL_NV_gpu_multicast GL_NVX_gpu_multicast2 GL_NVX_progress_fence GL_NVX_gpu_memory_info GL_NVX_multigpu_info GL_NVX_nvenc_interop GL_NV_shader_thread_group GL_NV_shader_thread_shuffle GL_KHR_blend_equation_advanced GL_KHR_blend_equation_advanced_coherent GL_OVR_multiview GL_OVR_multiview2 GL_SGIS_generate_mipmap GL_SGIS_texture_lod GL_SGIX_depth_texture GL_SGIX_shadow GL_SUN_slice_accum GL_WIN_swap_hint WGL_EXT_swap_control 
2021-05-12 21:32:33 (28720) [OpenGLRenderSystem] GLSL shading IS available.
2021-05-12 21:32:33 (28720) Loading map from D:/games/monstergame/base/maps/test0.map
2021-05-12 21:32:33 (28720) Open file D:/games/monstergame/base/maps/test0.map from filesystem...success.
2021-05-12 21:32:33 (28720) Using Doom 3 format to load the data.
2021-05-12 21:32:34 (28720) Open file D:/games/monstergame/base/maps/test0.darkradiant from filesystem...success.
2021-05-12 21:32:34 (28720) Parsing info file...
2021-05-12 21:32:34 (28720) [InfoFile]: Parsed map editing time.
2021-05-12 21:32:34 (28720) [InfoFile]: Parsed layer #0 with name Default
2021-05-12 21:32:34 (28720) Sanity-checking the layer assignments...done, had to fix 0 assignments.
2021-05-12 21:32:34 (28720) [InfoFile]: Parsed 4 map properties.
2021-05-12 21:32:34 (28720) map load timer:  0.22 second(s) elapsed
2021-05-12 21:32:34 (28720) Material keyword not recognised: noclimb
2021-05-12 21:32:34 (28720) Read 25334 seconds of total map editing time.
2021-05-12 21:32:34 (28720) --- LoadMapFile ---
2021-05-12 21:32:34 (28720) D:/games/monstergame/base/maps/test0.map
2021-05-12 21:32:34 (28720) 8 brushes
2021-05-12 21:32:34 (28720) 2 patches
2021-05-12 21:32:34 (28720) 9 entities
2021-05-12 21:32:35 (11792) Auto-saving registry to user settings path.
2021-05-12 21:32:50 (28720) addModel
2021-05-12 21:32:51 (11792) Auto-saving registry to user settings path.
2021-05-12 21:32:57 (28720) ModelSelector shutting down.
2021-05-12 21:32:57 (28720) CommandSystem: shutting down.
2021-05-12 21:32:57 (28720) BrushModuleImpl::shutdownModule called.
2021-05-12 21:32:57 (28720) EntityClassDoom3::shutdownModule called.
2021-05-12 21:32:57 (28720) EntityModule::shutdownModule called.
2021-05-12 21:32:57 (28720) EventManager::shutdownModule called
2021-05-12 21:32:57 (28720) MainFrame::shutdownModule called.
2021-05-12 21:32:57 (28720) MainFrameLayoutManager::shutdownModule called.
2021-05-12 21:32:57 (28720) MapInfoFileManager::shudownModule called.
2021-05-12 21:32:57 (28720) Doom3ShaderSystem::shutdownModule called
2021-05-12 21:32:57 (28720) ObjectivesEditorModule shutting down.
2021-05-12 21:32:57 (28720) ScriptingSystem::shutdownModule called.
2021-05-12 21:32:57 (28720) Filesystem shut down
2021-05-12 21:32:57 (28720) XMLRegistry Shutdown: 501 queries processed.
2021-05-12 21:32:57 (28720) 2021-05-12 21:32:57 Closing log file.
darkradiant.log (34,692 bytes)   
greebo

greebo

13.05.2021 17:10

administrator   ~0014011

See comments in https://bugs.thedarkmod.com/view.php?id=5607#c14010
BrendonChung

BrendonChung

13.05.2021 18:33

reporter   ~0014013

It works!

I tried the new artifact build, and MD5 and ASE models display fine in it. Thank you!
greebo

greebo

13.05.2021 19:31

administrator   ~0014014

Nice, thanks for the confirmation and the crash dumps

Related Changesets

DarkRadiant: master a88849ef

2021-05-13 17:02:45

greebo

Details Diff
0005609: When realising the render system in the constructor, give the code a chance to invoke extensionsInitialised() first.
The extensionsInitialised() call will query the GL setup for the ability to use GL programs, which should preferably be known before we realise the OpenGLShader objects.
Affected Issues
0005609
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File

Issue History

Date Modified Username Field Change
10.05.2021 18:06 BrendonChung New Issue
10.05.2021 18:06 BrendonChung File Added: image.png
11.05.2021 03:19 greebo Note Added: 0013979
11.05.2021 03:20 greebo Status new => feedback
11.05.2021 04:46 BrendonChung Note Added: 0013981
11.05.2021 04:46 BrendonChung Status feedback => new
11.05.2021 10:36 greebo Status new => acknowledged
13.05.2021 04:22 greebo Note Added: 0014001
13.05.2021 14:50 BrendonChung Note Added: 0014004
13.05.2021 14:50 BrendonChung File Added: darkradiant.log
13.05.2021 17:00 greebo Relationship added related to 0005607
13.05.2021 17:03 greebo Assigned To => greebo
13.05.2021 17:03 greebo Status acknowledged => assigned
13.05.2021 17:03 greebo Target Version => 2.13.0
13.05.2021 17:03 greebo Description Updated
13.05.2021 17:03 greebo Steps to Reproduce Updated
13.05.2021 17:06 greebo Changeset attached => DarkRadiant master a88849ef
13.05.2021 17:10 greebo Status assigned => resolved
13.05.2021 17:10 greebo Resolution open => fixed
13.05.2021 17:10 greebo Fixed in Version => 2.13.0
13.05.2021 17:10 greebo Note Added: 0014011
13.05.2021 18:33 BrendonChung Note Added: 0014013
13.05.2021 19:31 greebo Note Added: 0014014